import request from '@/utils/request'


export function getTaskList(param) {
  return request({
    url: '/employee/task/list',
    method: 'get',
    params: param
  })
}
export function getSelfTaskList(param) {
  return request({
    url: '/employee/task/selfList',
    method: 'get',
    params: param
  })
}


export function getTaskDetails(param) {
  return request({
    url: '/employee/task/details/' + param.id,
    method: 'get'
  })
}
export function setSign(data) {
  return request({
    url: '/employee/task/editSign' ,
    method: 'put',
    data: data
  })
}

export function baoming(param) {
  return request({
    url: '/employee/task/baoming' ,
    method: 'get',
    params: param
  })
}

export function cancelBaoming(param) {
  return request({
    url: '/employee/task/cancelBaoming' ,
    method: 'get',
    params: param
  })
}

export function getTask(param) {
  return request({
    url: '/employee/task/getTask' ,
    method: 'get',
    params: param
  })
}


